package com.inspect.partrolresultAux.service;

import com.inspect.partrolresultAux.domain.PatrolResultAux;

import java.util.List;

public interface IPatrolResultAuxService {
    PatrolResultAux selectPatrolResultAuxByLineId(Long lineId);

    List<PatrolResultAux> selectPatrolResultAuxList(PatrolResultAux patrolResultAux);

    List<PatrolResultAux> selectPatrolResultAuxListByMainId(PatrolResultAux patrolResultAux);

    List<PatrolResultAux> selectPatrolResultAuxListByMainIds(List<Long> mainIds);

    int insertPatrolResultAux(PatrolResultAux patrolResultAux);

    int updatePatrolResultAux(PatrolResultAux patrolResultAux);

    int deletePatrolResultAuxByLineIds(Long[] lineIds);

    int deletePatrolResultAuxByLineId(Long lineId);
}
